Subject: [TR] Seat rubber straps

From: "Jim Vassiliadis" <[email-masked]>
Date: Thu, 9 Oct 2014 09:39:02 +1300

I've got TR5 seats in my 62' TR4 and am in the middle of a semi restore.
I need to replace the rubber straps on my seats but Moss Europe and TRF
don't have them.
What do people use instead?
Here is a link to a photo of them plus my semi restored chassis and tub:
Seat: https://dl.dropboxusercontent.com/u/43163689/20141009_091657.jpg
Tub: https://dl.dropboxusercontent.com/u/43163689/20141009_092205.jpg
Chassis: https://dl.dropboxusercontent.com/u/43163689/20140810_173454.jpg
 
Thankyou to all the TR people who have helped me in the past.
Jim and the coming together slowly TR4

** [email-masked] **

Archive: http://www.team.net/archive